From 4c9a7cc02e7d8582b1893df98cada9769f16a5d1 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Thu, 2 Jul 2015 17:56:18 -0400
Subject: [PATCH] src/input/*.input.pamphlet

Goal: clean test suite

Minor fixes were made to bookvol10.4, cachedf, clements, polycoer, and
tuplebug to clean up test cases.
---
 books/bookvol10.4.pamphlet        |   12 ++--
 changelog                         |    6 ++
 patch                             |   13 ++--
 src/axiom-website/patches.html    |    2 +
 src/input/cachedf.input.pamphlet  |    3 +-
 src/input/clements.input.pamphlet |    3 +-
 src/input/polycoer.input.pamphlet |  143 +++++++++++++++++++------------------
 src/input/tuplebug.input.pamphlet |    3 +-
 8 files changed, 94 insertions(+), 91 deletions(-)

diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index debf906..7e26872 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -4524,7 +4524,7 @@ reportInstantiations(true)
 --R                                                                   Type: Void
 --R# instantiated/# dropped/domain name
 --R------------------------------------
---R Totals: 0 instantiated
+--RTotals:  0 instantiated
 --R         0 inside coerceInteractive
 --R         0 inside canCoerceFrom
 --R         0 inside evalMmCond
@@ -4543,7 +4543,7 @@ reportInstantiations(true)
 --R------------------------------------
 --R1 0 PositiveInteger
 --R1 0 NonNegativeInteger
---R Totals: 2 instantiated
+--RTotals:  2 instantiated
 --R         0 inside coerceInteractive
 --R         0 inside canCoerceFrom
 --R         0 inside evalMmCond
@@ -4558,7 +4558,7 @@ reportInstantiations(true)
 --R                                                                   Type: Void
 --R# instantiated/# dropped/domain name
 --R------------------------------------
---R Totals: 0 instantiated
+--RTotals:  0 instantiated
 --R         0 inside coerceInteractive
 --R         0 inside canCoerceFrom
 --R         0 inside evalMmCond
@@ -48486,11 +48486,11 @@ GroebnerFactorizationPackage(Dom, Expon, VarSet, Dpol): T == C where
      ++ doing the usual updates with the factor 
      ++ in place of p.
      ++
-     ++X mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) := _
-     ++X   [ [0,1,1,1,1,1], [1,0,1,8/3,x,8/3], [1,1,0,1,8/3,y], _
+     ++X mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) := 
+     ++X   [ [0,1,1,1,1,1], [1,0,1,8/3,x,8/3], [1,1,0,1,8/3,y], 
      ++X   [1,8/3,1,0,1,8/3], [1,x,8/3,1,0,1], [1,8/3,y,8/3,1,0] ]
      ++X eq := determinant mfzn
-     ++X groebnerFactorize _
+     ++X groebnerFactorize 
      ++X   [eq,eval(eq, [x,y,z],[y,z,x]), eval(eq,[x,y,z],[z,x,y])] 
    groebnerFactorize : (L Dpol, Boolean)  -> L L Dpol
      ++ groebnerFactorize(listOfPolys, info) returns
diff --git a/changelog b/changelog
index 3c8bacb..841ff32 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20150701 tpd src/axiom-website/patches.html 20150701.01.tpd.patch 
+20150701 tpd src/input/tuplebug.inputminor fixes to test suite
+20150701 tpd src/input/polycoer.inputminor fixes to test suite
+20150701 tpd src/input/clements.inputminor fixes to test suite
+20150701 tpd src/input/cachedf.inputminor fixes to test suite
+20150701 tpd books/bookvol10.4minor fixes to test suite
 20150621 tpd src/axiom-website/patches.html 20150621.01.tpd.patch 
 20150621 tpd books/bookvol5 merge and purge interop.lisp
 20150621 tpd src/interp/Makefile merge and purge interop.lisp
diff --git a/patch b/patch
index 1b85b00..ee8ca2b 100644
--- a/patch
+++ b/patch
@@ -1,13 +1,10 @@
-src/interp/interop.lisp merge and purge code
+src/input/*.input.pamphlet
 
-Goal: move toward Literate
+Goal: clean test suite
+
+Minor fixes were made to bookvol10.4, cachedf, clements, polycoer, and
+tuplebug to clean up test cases.
 
-The interop.lisp file contained code to handle a prior representation
-of Scratchpad code. That representation no longer exists so compiling
-the code was a waste of time. Functions that checked for the prior
-representation always returned false, wasting runtime.  Some of the
-code was used elsewhere and it was moved or merged into the interpreter 
-book (5), the rest was deleted. The interop.lisp file was removed.
 
 
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index eced09b..4cb6ea6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5088,6 +5088,8 @@ src/interp/br-con.lisp common lisp cleanup<br/>
 src/interp/i-code.lisp common lisp cleanup<br/>
 <a href="patches/20150621.01.tpd.patch">20150621.01.tpd.patch</a>
 src/interp/interop.lisp merge and purge code<br/>
+<a href="patches/20150701.01.tpd.patch">20150701.01.tpd.patch</a>
+src/input/*.input<br/>
  </body>
 </html>
 
diff --git a/src/input/cachedf.input.pamphlet b/src/input/cachedf.input.pamphlet
index da89deb..d8cfb56 100644
--- a/src/input/cachedf.input.pamphlet
+++ b/src/input/cachedf.input.pamphlet
@@ -58,8 +58,7 @@ CachedFunction(A: SetCategory, B:SetCategory): Exports == Implementation where
 --S 1 of 8
 )co cachedf
 --R 
---R   Compiling AXIOM source code from 
---I      /research/test/int/input/cachedf.spad using old system compiler.
+--I   Compiling AXIOM source code from /research/test/int/input/cachedf.spad
 --R   CACHEDF abbreviates domain CachedFunction 
 --R   processing macro definition Exports ==> -- the constructor category 
 --R   processing macro definition Implementation ==> -- the constructor capsule 
diff --git a/src/input/clements.input.pamphlet b/src/input/clements.input.pamphlet
index 25fd45a..9e258b4 100644
--- a/src/input/clements.input.pamphlet
+++ b/src/input/clements.input.pamphlet
@@ -43,8 +43,7 @@ OrderedKeyEntry(Key:OrderedSet,Entry:SetCategory):
 --S 1 of 6
 )co clements
 --R 
---R   Compiling AXIOM source code from 
---I      /root/axiom/int/input/clements.spad using old system compiler.
+--I   Compiling AXIOM source code from /root/axiom/int/input/clements.spad
 --R   ORDKE abbreviates domain OrderedKeyEntry 
 --R------------------------------------------------------------------------
 --R   initializing nrlib ORDKE for OrderedKeyEntry 
diff --git a/src/input/polycoer.input.pamphlet b/src/input/polycoer.input.pamphlet
index 38543f2..4029625 100644
--- a/src/input/polycoer.input.pamphlet
+++ b/src/input/polycoer.input.pamphlet
@@ -25,13 +25,13 @@
 This file demonstrates the capabilities of the interpreter to
 perform coercions among different polynomial types.
 \begin{chunk}{*}
---S 1 of 41
+--S 1 of 40
 u : UP(x,COMPLEX INT)
 --R 
 --R                                                                   Type: Void
 --E 1
 
---S 2 of 41
+--S 2 of 40
 u := (2+3*%i)*x^5 - 7*x^4 +x^2 + 89
 --R 
 --R
@@ -40,13 +40,13 @@ u := (2+3*%i)*x^5 - 7*x^4 +x^2 + 89
 --R                               Type: UnivariatePolynomial(x,Complex(Integer))
 --E 2
 
---S 3 of 41
+--S 3 of 40
 m : MPOLY([x,y,z],COMPLEX INT)
 --R 
 --R                                                                   Type: Void
 --E 3
 
---S 4 of 41
+--S 4 of 40
 m := u
 --R 
 --R
@@ -55,7 +55,7 @@ m := u
 --R                       Type: MultivariatePolynomial([x,y,z],Complex(Integer))
 --E 4
 
---S 5 of 41
+--S 5 of 40
 m := m*y - z^2
 --R 
 --R
@@ -64,13 +64,13 @@ m := m*y - z^2
 --R                       Type: MultivariatePolynomial([x,y,z],Complex(Integer))
 --E 5
 
---S 6 of 41
+--S 6 of 40
 m1 : MPOLY([r,z,t,x,s,y],COMPLEX INT)
 --R 
 --R                                                                   Type: Void
 --E 6
 
---S 7 of 41
+--S 7 of 40
 m1 := m
 --R 
 --R
@@ -79,13 +79,13 @@ m1 := m
 --R                 Type: MultivariatePolynomial([r,z,t,x,s,y],Complex(Integer))
 --E 7
 
---S 8 of 41
+--S 8 of 40
 v : DMP([x,y,z],COMPLEX INT)
 --R 
 --R                                                                   Type: Void
 --E 8
 
---S 9 of 41
+--S 9 of 40
 v := u
 --R 
 --R
@@ -94,253 +94,254 @@ v := u
 --R            Type: DistributedMultivariatePolynomial([x,y,z],Complex(Integer))
 --E 9
 
---S 10 of 41
+--S 10 of 40
 u := v
 --R 
 --R
 --R                   5     4    2
 --R   (10)  (2 + 3%i)x  - 7x  + x  + 89
 --R                               Type: UnivariatePolynomial(x,Complex(Integer))
---E 11
+--E 10
 
---S 12 of 41
+--S 11 of 40
 v1 : DMP([r,z,t,x,s,y],COMPLEX INT)
 --R 
 --R                                                                   Type: Void
---E 12
+--E 11
 
---S 13 of 41
+--S 12 of 40
 v1 := v
 --R 
 --R
 --R                   5     4    2
 --R   (12)  (2 + 3%i)x  - 7x  + x  + 89
 --R      Type: DistributedMultivariatePolynomial([r,z,t,x,s,y],Complex(Integer))
---E 13
+--E 12
 
---S 14 of 41
+--S 13 of 40
 v := m
 --R 
 --R
 --R                   5      4     2           2
 --R   (13)  (2 + 3%i)x y - 7x y + x y + 89y - z
 --R            Type: DistributedMultivariatePolynomial([x,y,z],Complex(Integer))
---E 14
+--E 13
 
---S 15 of 41
+--S 14 of 40
 v1 := m1
 --R 
 --R
 --R            2             5      4     2
 --R   (14)  - z  + (2 + 3%i)x y - 7x y + x y + 89y
 --R      Type: DistributedMultivariatePolynomial([r,z,t,x,s,y],Complex(Integer))
---E 15
+--E 14
 
 )clear all
 
---S 16 of 41
+--S 15 of 40
 u : DMP([x,y],INT)
 --R 
 --R                                                                   Type: Void
---E 16
+--E 15
 
---S 17 of 41
+--S 16 of 40
 f : UP(x,UP(y,INT))
 --R 
 --R                                                                   Type: Void
---E 17
+--E 16
 
---S 18 of 41
+--S 17 of 40
 u := x + y
 --R 
 --R
 --R   (3)  x + y
 --R                       Type: DistributedMultivariatePolynomial([x,y],Integer)
---E 18
+--E 17
 
---S 19 of 41
+--S 18 of 40
 f := u
 --R 
 --R
 --R   (4)  x + y
 --R                Type: UnivariatePolynomial(x,UnivariatePolynomial(y,Integer))
---E 19
+--E 18
 
---S 20 of 41
+--S 19 of 40
 u := x^2*y^9 - x^2*y^2
 --R 
 --R
 --R         2 9    2 2
 --R   (5)  x y  - x y
 --R                       Type: DistributedMultivariatePolynomial([x,y],Integer)
---E 20
+--E 19
 
---S 21 of 41
+--S 20 of 40
 f := u
 --R 
 --R
 --R          9    2  2
 --R   (6)  (y  - y )x
 --R                Type: UnivariatePolynomial(x,UnivariatePolynomial(y,Integer))
---E 21
+--E 20
 
 )clear all
 
---S 22 of 41
+--S 21 of 40
 u : DMP([z,x,y],INT)
 --R 
 --R                                                                   Type: Void
---E 22
+--E 21
 
---S 23 of 41
+--S 22 of 40
 f : UP(x,DMP([y,z],INT))
 --R 
 --R                                                                   Type: Void
---E 23
+--E 22
 
---S 24 of 41
+--S 23 of 40
 u := x + y + z
 --R 
 --R
 --R   (3)  z + x + y
 --R                     Type: DistributedMultivariatePolynomial([z,x,y],Integer)
---E 24
+--E 23
 
---S 25 of 41
+--S 24 of 40
 f := u
 --R 
 --R
 --R   (4)  x + y + z
 --IType: UnivariatePolynomial(x,...
---E 25
+--E 24
 
---S 26 of 41
+--S 25 of 40
 u := x^2*y - z*x^2 + y*z - x^3*y*z + 3
 --R 
 --R
 --R             3       2          2
 --R   (5)  - z x y - z x  + z y + x y + 3
 --R                     Type: DistributedMultivariatePolynomial([z,x,y],Integer)
---E 26
+--E 25
 
---S 27 of 41
+--S 26 of 40
 f := x^2*y - z*x^2 + y*z - x^3*y*z + 3
 --R 
 --R
 --R               3           2
 --R   (6)  - y z x  + (y - z)x  + y z + 3
 --IType: UnivariatePolynomial(x,...
---E 27
+--E 26
 
---S 28 of 41
+--S 27 of 40
 f := u
 --R 
 --R
 --R               3           2
 --R   (7)  - y z x  + (y - z)x  + y z + 3
 --IType: UnivariatePolynomial(x,...
---E 28
+--E 27
 
 )clear all
 
---S 29 of 41
+--S 28 of 40
 u : DMP([x,y,z,w],INT)
 --R 
 --R                                                                   Type: Void
---E 29
+--E 28
 
---S 30 of 41
+--S 29 of 40
 f : UP(w,DMP([y,z],INT))
 --R 
 --R                                                                   Type: Void
---E 30
+--E 29
 
---S 31 of 41
+--S 30 of 40
 u := y^2 - w^5*y^2 - z*w + 3
 --R 
 --R
 --R           2 5    2
 --R   (3)  - y w  + y  - z w + 3
 --R                   Type: DistributedMultivariatePolynomial([x,y,z,w],Integer)
---E 31
+--E 30
 
---S 32 of 41
+--S 31 of 40
 f := y^2 - w^5*y^2 - z*w + 3
 --R 
 --R
 --R           2 5          2
 --R   (4)  - y w  - z w + y  + 3
 --IType: UnivariatePolynomial(w,...
---E 32
+--E 31
 
---S 33 of 41
+--S 32 of 40
 f := u
 --R 
 --R
 --R           2 5          2
 --R   (5)  - y w  - z w + y  + 3
 --IType: UnivariatePolynomial(w,...
---E 33
+--E 32
 
 )clear all
 
---S 34 of 41
+--S 33 of 40
 (x1,x2,x3) : DMP([a,b,c,d,e,f],Fraction INT)
 --R 
 --R                                                                   Type: Void
---E 34
+--E 33
 
---S 35 of 41
+--S 34 of 40
 x1 := 2*a + 3*b - c
 --R 
 --R
 --R   (2)  2a + 3b - c
 --R     Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction(Integer))
---E 35
+--E 34
 
---S 36 of 41
+--S 35 of 40
 x2 := 3 - 3*e + f
 --R 
 --R
 --R   (3)  - 3e + f + 3
 --R     Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction(Integer))
---E 36
+--E 35
 
---S 37 of 41
+--S 36 of 40
 x3 := a + b + c + d + e + f
 --R 
 --R
 --R   (4)  a + b + c + d + e + f
 --R     Type: DistributedMultivariatePolynomial([a,b,c,d,e,f],Fraction(Integer))
---E 37
+--E 36
 
---S 38 of 41
+--S 37 of 40
 l1 : List DMP([a,b,c,d,e,f],Fraction INT)
 --R 
 --R                                                                   Type: Void
---E 38
+--E 37
 
---S 39 of 41
+--S 38 of 40
 l2 : List UP(f,DMP([a,b,c,d,e],Fraction INT))
 --R 
 --R                                                                   Type: Void
---E 39
+--E 38
 
---S 40 of 41
+--S 39 of 40
 l1 := [x1,x2,x3]
 --R 
 --R
 --R   (7)  [2a + 3b - c,- 3e + f + 3,a + b + c + d + e + f]
 --IType: List(DistributedMultivariatePolynomial([a,b,c,d,e,f],...
---E 40
+--E 39
 
---S 41 of 41
+--S 40 of 40
 l2 := l1
 --R 
 --R
 --R   (8)  [2a + 3b - c,f - 3e + 3,f + a + b + c + d + e]
 --IType: List(UnivariatePolynomial(f,...
---E 41
+--E 40
+
 )spool 
 )lisp (bye)
  
diff --git a/src/input/tuplebug.input.pamphlet b/src/input/tuplebug.input.pamphlet
index 69be15b..026e859 100644
--- a/src/input/tuplebug.input.pamphlet
+++ b/src/input/tuplebug.input.pamphlet
@@ -29,8 +29,7 @@ Bug(R:Ring): with
 --S 1 of 1
 )co tuplebug
 --R 
---R   Compiling AXIOM source code from 
---I      /research/test/int/input/tuplebug.spad using old system compiler.
+--I   Compiling AXIOM source code from /research/test/int/input/tuplebug.spad
 --R   BUG abbreviates package Bug 
 --R------------------------------------------------------------------------
 --R   initializing nrlib BUG for Bug 
-- 
1.7.5.4

